[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[debian-devel:15724] Re: jp-installer: `20030202-1' >= `20030718-1' ?



At Mon, 28 Jul 2003 08:21:31 +0900,
Tatsuki Sugiura wrote:

> hp.debian.or.jp にパッケージを dupload (method=scpb) で
> アップロードしたのですが、
> 
> >>> In Message "htmllint_20030718-1_i386.changes REJECTED [Debian JP]"
> >>>            <20030727195544.C1569AFB36@hp.debian.or.jp>,
> >>> Debian JP Installer <ftpadm@debian.or.jp>  said;
> | Rejected: htmllint_20030718-1_all.deb
> | Old version `20030202-1' >= new version `20030718-1'.
> 
> と言うことではねられてしまいました。
> 
> 一応手元で downgrade だとは言われないことは確認したのですが、
> サーバ(Katie?)の問題でしょうか?

そうですね。JP の katie はけっこう古いのでそのあたりの問題だと思います。

ちなみに

 apt_pkg.VersionCompare(new_version, old_version) != 1

で check していたようなのですが、最近の apt_pkg だと、
例えば 20030718-1 と 20030202-1 だと 5 がかえってくるので

 apt_pkg.VersionCompare(new_version, old_version) <= 0

で reject check をしないといけないようです。

-- 
鵜飼文敏